package de.kif.backend.route

import de.kif.backend.LocationCalendar
import de.kif.backend.PortalSession
import de.kif.backend.view.MainTemplate
import de.kif.backend.view.MenuTemplate
import io.ktor.application.call
import io.ktor.html.respondHtmlTemplate
import io.ktor.locations.get
import io.ktor.routing.Route
import io.ktor.sessions.get
import io.ktor.sessions.sessions
import kotlinx.html.h1

fun Route.calendar() {
    get<LocationCalendar> {
        val user = call.sessions.get<PortalSession>()?.getUser(call)
        call.respondHtmlTemplate(MainTemplate()) {
            menuTemplate {
                this.user = user
                active = MenuTemplate.Tab.CALENDAR
            }
            content {
                h1 { +"Calendar" }
            }
        }
    }
}
